<?php
class cArticulotipo
{
	function insertar($nom, $ven)
	{
		$sql = "INSERT tb_articulotipo (`tb_articulotipo_nom`,`tb_articulotipo_sto` ,`tb_articulotipo_xac`) VALUES ('$nom','$ven', 1);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function ultimoInsert()
	{
		$sql = "SELECT last_insert_id()";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function mostrarTodos()
	{
		$sql="SELECT * FROM tb_articulotipo WHERE tb_articulotipo_xac = 1 ORDER BY tb_articulotipo_nom";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id)
	{ 
		$sql="SELECT * FROM tb_articulotipo WHERE tb_articulotipo_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar($id,$nom,$ven)
	{ 
		$sql = "UPDATE tb_articulotipo 
		SET `tb_articulotipo_nom`='$nom', `tb_articulotipo_sto`='$ven'
		WHERE  tb_articulotipo_id=$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function verifica_tipo_tabla($id,$tabla)
	{
		$sql = "SELECT * FROM $tabla WHERE tb_articulotipo_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function eliminar($id){
		$sql="DELETE FROM tb_articulotipo WHERE tb_articulotipo_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_articulotipo SET
		`tb_articulotipo_$campo` =  '$valor' 
		WHERE tb_articulotipo_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
}
?>